//
//		Definition of the main game class
//
#ifndef THE_GAME_H
#define THE_GAME_H

#include "ldwGame.h"

class theGameState;
class theMainScene;
class theMenuScene;
class theSplashScene;
class theIntro1Scene;
class theIntro2Scene;
class theGamewinScene;
class theLoadingScene;
class theCollectionsScene;
class theHelpScene;
class theSeedScene;
class theSellScene;
class theShopScene;
class theSnapShotScene;

class theSoundManager;

class ldwFont;
class ldwGameWindow;

class theGame : public ldwGame
{
public:

	theGame();
	~theGame();

	bool Init();
	void Shutdown();

	void GameUpdate();
	void GameDraw();

	bool HandleMessage(int messageId,long data);
	bool ArmadilloCheckIfRegistered(void);


private:

	theGameState			*gs;
	theMainScene			*mainScene;
	theMenuScene			*menuScene;
	theSplashScene			*splashScene;
	theIntro1Scene			*intro1Scene;
	theIntro2Scene			*intro2Scene;
	theHelpScene			*helpScene;
	theGamewinScene			*gamewinScene;
	theLoadingScene			*loadingScene;
	theSeedScene            *seedScene;
	theSellScene			*sellScene;
	theShopScene 			*shopScene;
	theCollectionsScene		*collectingScene;
	theSnapShotScene		*snapshotScene;


	theSoundManager			*soundMgr;

	ldwGameWindow			*gameWindow;

	ldwFont *defaultFont;
	ldwFont *clearFont;

	int loadingProgress;

};
#endif