//
//		Definition of the main game class
//
#ifndef THE_LOADING_SCENE_H
#define THE_LOADING_SCENE_H


#include "ldwScene.h"
#include "ldwGameWindow.h"
#include "theStringManager.h"
#include "ldwImage.h"

#define cLocalMeterThickness 23
#define cLocalMeterFullWidth 151
#define cLoadingScreenWidth 800
#define cLoadingMeterX 240
#define cLoadingMeterY 500

class theGameState;
class theVariableMeter;
class theGraphicsManager;

class ldwButton;
class ldwTextControl;
class ldwGameWindow;
class ldwImageGrid;

class theLoadingScene : public ldwScene
{
public:

	theLoadingScene();
	~theLoadingScene();

	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMouse(int messageId,ldwPoint location);
	bool HandleMessage(int messageId,long data);

	void SetMeter(int value);

protected:

	void DrawScene();
	void UpdateScene();

private:

	ldwGameWindow      *gameWindow;
	theGameState       *gs;
	theGraphicsManager *gm;
	theVariableMeter   *variableMeter;
	theStringManager   *stringMgr;

	ldwImageGrid *BG;
	ldwImageGrid *logo;
	ldwImageGrid *ldwLogo;
	ldwImageGrid *bfgLogo;

	int meterValue;

	ldwTextControl	*loadingLabel;
	ldwTextControl  *randomTip;

};
#endif