//
//	Class definition for Pricing Dialog class
//

#ifndef THE_PURCHASE_DIALOG_H
#define THE_PURCHASE_DIALOG_H

#include "theStringManager.h"
#include "ldwTiledDialog.h"
#include "ldwTextControl.h"
#include "theGameState.h"
#include "ldwButton.h"
#include "theChemicalTray.h"
//#include "string.h"
//#include "stdio.h"


class ldwImageGrid;
class theSoundManager;

class thePurchaseDialog : public ldwTiledDialog
{
public:

	thePurchaseDialog(ItemChoiceEnum item);
	~thePurchaseDialog();

	int  GetResult();
	ItemChoiceEnum ProcessChoice(ItemChoiceEnum choice);
	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMessage(int messageId,long data);
	int FindSlotInTray();

protected:

	enum {
			eOkButtonId = 1, 
			eCancelButtonId,
			eBuyButtonId
		};

	void DrawNoFadeScene();

	ldwImageGrid *mTiles;

	int focusRow;
	int focusColumn;
	ldwTextControl *label;
	ldwTextControl *titleLabel;
	ldwTextControl *descLabel;
	ldwTextControl *label3;
	ldwTextControl *label4;
	ldwTextControl *auxLabel;
	theStringManager   *sm;
	theGameState       *gs;
	theChemicalTray    *ct;
	theSoundManager    *soundMgr;

	int  mResult;
	int cost;
	int DialogHeight;
	int priceYOffset;
	int itemType;
	int row;
	int column;
	ldwButton *buyButton;
	ldwButton *okButton;
	ldwButton *cancelButton;
	
	bool purchaseOk;
	char priceCharString[15];
	
	ItemChoiceEnum globalItemChoice;
};

#endif
