//
//		Definition of the main game class
//
#ifndef THE_SPLASH_SCENE_H
#define THE_SPLASH_SCENE_H


#include "ldwScene.h"
#include "ldwGameWindow.h"
#include "ldwImage.h"
#include "theSoundFxManager.h"

class theGraphicsManager;

class ldwButton;
class ldwSoundTrack;
class ldwSoundFx;
class theGameState;
class ldwTextControl;

class theSplashScene : public ldwScene
{
public:

	theSplashScene();
	~theSplashScene();

	void SetTimer();
	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMouse(int messageId,ldwPoint location);
	bool HandleMessage(int messageId,long data);

protected:

	void DrawScene();
	void UpdateScene();

private:

	ldwUINT32 timer;

	theGameState       *gs;
	theGraphicsManager *gm;
	theSoundManager    *soundMgr;

	int phase;

	bool visitedAtLeastOnce;

	ldwImage     *BG;
	ldwImageGrid *BG2;
	ldwImageGrid *BG3;
};
#endif